This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 521891 - Fix instances of #!/usr/bin/env python in pexpect
Fix instances of #!/usr/bin/env python in pexpect
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pexpect (Show other bugs)
5.4
All Linux
low Severity low
: rc
: ---
Assigned To: Marek Grac
BaseOS QE
:
Depends On:
Blocks: 521940
  Show dependency treegraph
 
Reported: 2009-09-08 11:49 EDT by Issue Tracker
Modified: 2016-04-26 12:02 EDT (History)
2 users (show)

See Also:
Fixed In Version: pexpect-2.3-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-15 03:21:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (8.31 KB, patch)
2009-09-21 07:45 EDT, Marek Grac
no flags Details | Diff

  None (edit)
Description Issue Tracker 2009-09-08 11:49:30 EDT
Escalated to Bugzilla from IssueTracker
Comment 1 Issue Tracker 2009-09-08 11:49:31 EDT
Event posted on 09-08-2009 11:47am EDT by kbaxley

There's a project underway in Fedora 12 to finally resolve the issues
with Red Hat including #!/usr/bin/env python in our python executables:

https://fedoraproject.org/wiki/Features/SystemPythonExecutablesUseSystemPython

There's also a Fedora bug opened on this, and comments in there state
that this is a big priority for RHEL6:

https://bugzilla.redhat.com/show_bug.cgi?id=518994

For RHEL5, we've been instructed by Product Management to open bugs on
a package-by-package basis to address the problem.

In this case, pexpecct in RHEL5 has at least one instance of a
python script containing #!/usr/bin/env python.  

/usr/lib/python2.4/site-packages/FSM.py in pexpect-2.3-1.el5
/usr/lib/python2.4/site-packages/GMenuSimpleEditor/main.py in gnome-menus-2.16.0-2.fc6
/usr/lib/python2.4/site-packages/GMenuSimpleEditor/maindialog.py in gnome-menus-2.16.0-2.fc6
/usr/lib/python2.4/site-packages/GMenuSimpleEditor/menutreemodel.py in gnome-menus-2.16.0-2.fc6
/usr/lib/python2.4/site-packages/GMenuSimpleEditor/config.py in gnome-menus-2.16.0-2.fc6
/usr/lib/python2.4/site-packages/GMenuSimpleEditor/menufilewriter.py in gnome-menus-2.16.0-2.fc6
/usr/lib/python2.4/site-packages/invest/chart.py in gnome-applets-2.16.0.1-19.el5

/usr/share/doc/pexpect-2.3/examples/hive.py in pexpect-2.3-1.el5
/usr/share/doc/pexpect-2.3/examples/python.py in pexpect-2.3-1.el5
/usr/share/doc/pexpect-2.3/examples/script.py in pexpect-2.3-1.el5
/usr/share/doc/pexpect-2.3/examples/chess3.py in pexpect-2.3-1.el5
/usr/share/doc/pexpect-2.3/examples/ssh_tunnel.py in pexpect-2.3-1.el5
/usr/share/doc/pexpect-2.3/examples/topip.py in pexpect-2.3-1.el5
/usr/share/doc/pexpect-2.3/examples/uptime.py in pexpect-2.3-1.el5
/usr/share/doc/pexpect-2.3/examples/astat.py in pexpect-2.3-1.el5
/usr/share/doc/pexpect-2.3/examples/ftp.py in pexpect-2.3-1.el5
/usr/share/doc/pexpect-2.3/examples/monitor.py in pexpect-2.3-1.el5
/usr/share/doc/pexpect-2.3/examples/fix_cvs_files.py in pexpect-2.3-1.el5
/usr/share/doc/pexpect-2.3/examples/chess.py in pexpect-2.3-1.el5
/usr/share/doc/pexpect-2.3/examples/bd_serv.py in pexpect-2.3-1.el5
/usr/share/doc/pexpect-2.3/examples/sshls.py in pexpect-2.3-1.el5
/usr/share/doc/pexpect-2.3/examples/rippy.py in pexpect-2.3-1.el5
/usr/share/doc/pexpect-2.3/examples/df.py in pexpect-2.3-1.el5
/usr/share/doc/pexpect-2.3/examples/passmass.py in pexpect-2.3-1.el5
/usr/share/doc/pexpect-2.3/examples/bd_client.py in pexpect-2.3-1.el5
/usr/share/doc/pexpect-2.3/examples/chess2.py in pexpect-2.3-1.el5


This event sent from IssueTracker by kbaxley  [LLNL (HPC)]
 issue 339873
Comment 2 Marek Grac 2009-09-21 07:45:23 EDT
Created attachment 361914 [details]
Proposed patch
Comment 10 errata-xmlrpc 2009-10-15 03:21:40 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1508.html

Note You need to log in before you can comment on or make changes to this bug.